LinuxQMISDK: wdsSetEventReportReq Struct Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- Data Structures
- Data Fields

Data Fields
wdsSetEventReportReq Struct Reference

## Data Fields
BYTE * | pCurrChannelRateInd
TrStatInd * | pTransferStatInd
BYTE * | pDataBearerTechInd
BYTE * | pDormancyStatusInd
BYTE * | pMIPStatusInd
BYTE * | pCurrDataBearerTechInd
BYTE * | pDataCallStatusChangeInd
BYTE * | pCurrPrefDataSysInd
BYTE * | pEVDOPageMonPerChangeInd
BYTE * | pDataSystemStatusChangeInd

## Detailed Description

This structure contains the information about the Set Event Report Request parameters.

Parameters

  pCurrChannelRateInd | (optional) Current Channel Rate Indicator. 0 - Do not report 1 - Report channel rate when it changes
  pTransferStatInd | (optional) See TrStatInd for more information.
  pDataBearerTechInd | (optional) Data Bearer Technology Indicator. 0 - Do not report 1 - Report radio interface used for data transfer when it changes
  pDormancyStatusInd | (optional) Dormancy Status indicator. 0 - Do not report 1 - Report traffic channel state of interface used for data connection
  pMIPStatusInd | (optional) MIP Status Indicator. 0 - Do not report 1 - Report MIP status
  pCurrDataBearerTechInd | (optional) Current Data Bearer Technology Indicator. 0 - Do not report 1 - Report current data bearer technology when it changes
  pDataCallStatusChangeInd | (optional) Data Call Status Change Indicator. 0 - Do not report 1 - Report data call status change when it changes
  pCurrPrefDataSysInd | (optional) Current Preferred Data System Indicator. 0 - Do not report 1 - Report preferred data system when it changes
  pEVDOPageMonPerChangeInd | (optional) EV-DO Page Monitor Period Change Indicator. 0 - Do not report 1 - Report EV-DO page monitor period change event
  pDataSystemStatusChangeInd | (optional) Data System Status Change Indicator. 0 - Do not report 1 - Report data system status change event

Note
  At least one parameter should be present.

## Field Documentation

BYTE* wdsSetEventReportReq::pCurrChannelRateInd

BYTE* wdsSetEventReportReq::pCurrDataBearerTechInd

BYTE* wdsSetEventReportReq::pCurrPrefDataSysInd

BYTE* wdsSetEventReportReq::pDataBearerTechInd

BYTE* wdsSetEventReportReq::pDataCallStatusChangeInd

BYTE* wdsSetEventReportReq::pDataSystemStatusChangeInd

BYTE* wdsSetEventReportReq::pDormancyStatusInd

BYTE* wdsSetEventReportReq::pEVDOPageMonPerChangeInd

BYTE* wdsSetEventReportReq::pMIPStatusInd

TrStatInd* wdsSetEventReportReq::pTransferStatInd